Add objects to a channel
This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.
Assign objects to a channel, without removing the already assigned objects.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
POST https://api-{region}.seatsio.net/events/{eventKey}/channels/{channelKey}/objects
// Seats, tables, booths:
$this->seatsioClient->events->channels->addObjects(
$event->key,
"channelKey1",
["A-1", "A-2"] // the channel objects to add
);
// GA area with a specific number of places:
$this->seatsioClient->events->channels->addObjects(
$event->key,
"channelKey1",
[],
["GA1" => 100] // area label => number of places
);
// Seats, tables, booths:
await Client.Events.Channels.AddObjectsAsync(
event1.Key,
"channelKey1",
new[] {"A-1", "A-2"} // the channel objects to add
);
// GA area with a specific number of places:
await Client.Events.Channels.AddObjectsAsync(
event1.Key,
"channelKey1",
areaPlaces: new Dictionary<string, int> { { "GA1", 100 } }
);
// Seats, tables, booths:
client.events.channels.addObjects(
event.key,
"channelKey1",
Set.of("A-1", "A-2") // the channel objects to add
);
// GA area with a specific number of places:
client.events.channels.addObjects(
event.key,
"channelKey1",
Set.of(),
Map.of("GA1", 100) // area label => number of places
);
# Seats, tables, booths:
client.events.channels.add_objects(
event.key,
'channelKey1',
['A-1', 'A-2'] # the channel objects to add
)
# GA area with a specific number of places:
client.events.channels.add_objects(
event.key,
'channelKey1',
area_places={'GA1': 100} # area label => number of places
)
# Seats, tables, booths:
client.events.channels.add_objects event_key: event.key,
channel_key: "channelKey1",
objects: ['A-1', 'A-2']
# GA area with a specific number of places:
client.events.channels.add_objects event_key: event.key,
channel_key: "channelKey1",
area_places: { 'GA1' => 100 } # area label => number of places
// Seats, tables, booths:
await client.events.channels.addObjects(
event.key,
'channelKey1',
['A-1', 'A-2'] // the channel objects to add
)
// GA area with a specific number of places:
await client.events.channels.addObjects(
event.key,
'channelKey1',
[],
{ GA1: 100 } // area label => number of places
)
// Seats, tables, booths:
err = client.Channels.AddObjects(
context.Background(),
event.Key,
"channelKey1",
[]string{"A-1", "A-2"}, // the channel objects to add
)
// GA area with a specific number of places:
err = client.Channels.AddObjects(
context.Background(),
event.Key,
"channelKey1",
[]string{},
map[string]int{"GA1": 100}, // area label => number of places
)
Example request body
{
"objects": ["A-1", "A-2"]
}
With area places:
{
"objects": [],
"areaPlaces": {
"GA1": 100
}
}
The request body should be a JSON object with these properties:
objects: the full object labels of the objects that need to be assigned to this channel. Objects previously assigned to this channel will remain so.areaPlaces(optional): a map of general admission areas to the number of places within that area to assign to this channel. This allows partial assignment of a GA area's capacity to a channel. See General Admission Area Places on Channels.
This API call allows overriding channel assignments within a season. E.g. an object in channel X for the season can be assigned to channel Y for an event (and vice-versa).
To mark an object as not assigned to a channel in an event, but still assigned to a channel on the season, use the key of the event and NO_CHANNEL as channel key.
All seats (or tables, booths or GA places) passed in to this API will be considered as "used seats" for pricing purposes.
The specified objects will be un-assigned from any previous channels.
That means that if seat A-1 is already assigned to channelA, and you assign A-1 to channelB using this endpoint, it will no longer be assigned to channelA and only be assigned to channelB.
A general admission area can be assigned to a channel in two ways:
- As a whole area: include its label in the
objectsarray. - As a specific number of places: use the
areaPlacesmap (e.g.{"GA1": 100}). The places are cumulative: calling this endpoint multiple times will add to the existing count.
A GA area cannot appear in both objects and areaPlaces at the same time.
Response
204 - No Content